MHSM Private Link Resources - List By MHSM Resource

Gets the private link resources supported for the managed hsm pool.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/managedHSMs/{name}/privateLinkResources?api-version=2021-10-01

URI Parameters

Name In Required Type Description
name
path True
  • string

Name of the managed HSM Pool

resourceGroupName
path True
  • string

Name of the resource group that contains the managed HSM pool.

subscriptionId
path True
  • string

Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True
  • string

Client Api Version.

Responses

Name Type Description
200 OK

Successfully retrieved private link resources.

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

KeyVaultListPrivateLinkResources

Sample Request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-group/providers/Microsoft.KeyVault/managedHSMs/sample-mhsm/privateLinkResources?api-version=2021-10-01

Sample Response

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-resource-group/providers/Microsoft.KeyVault/managedhsms/sample-mhsm/privateLinkResources/managedhsm",
      "name": "managedhsm",
      "type": "Microsoft.KeyVault/managedhsms/privateLinkResources",
      "properties": {
        "groupId": "managedhsms",
        "requiredMembers": [
          "default"
        ],
        "requiredZoneNames": [
          "privatelink.managedhsm.azure.net"
        ]
      }
    }
  ]
}

Definitions

CloudError

An error response from Key Vault resource provider

CloudErrorBody

An error response from Key Vault resource provider

identityType

The type of identity that created the key vault resource.

ManagedHsmSku

SKU details

ManagedHsmSkuFamily

SKU Family of the managed HSM Pool

ManagedHsmSkuName

SKU of the managed HSM Pool

MHSMPrivateLinkResource

A private link resource

MHSMPrivateLinkResourceListResult

A list of private link resources

SystemData

Metadata pertaining to creation and last modification of the key vault resource.

CloudError

An error response from Key Vault resource provider

Name Type Description
error

An error response from Key Vault resource provider

CloudErrorBody

An error response from Key Vault resource provider

Name Type Description
code
  • string

Error code. This is a mnemonic that can be consumed programmatically.

message
  • string

User friendly error message. The message is typically localized and may vary with service version.

identityType

The type of identity that created the key vault resource.

Name Type Description
Application
  • string
Key
  • string
ManagedIdentity
  • string
User
  • string

ManagedHsmSku

SKU details

Name Type Description
family

SKU Family of the managed HSM Pool

name

SKU of the managed HSM Pool

ManagedHsmSkuFamily

SKU Family of the managed HSM Pool

Name Type Description
B
  • string

ManagedHsmSkuName

SKU of the managed HSM Pool

Name Type Description
Custom_B32
  • string
Standard_B1
  • string

MHSMPrivateLinkResource

A private link resource

Name Type Description
id
  • string

The Azure Resource Manager resource ID for the managed HSM Pool.

location
  • string

The supported Azure location where the managed HSM Pool should be created.

name
  • string

The name of the managed HSM Pool.

properties.groupId
  • string

Group identifier of private link resource.

properties.requiredMembers
  • string[]

Required member names of private link resource.

properties.requiredZoneNames
  • string[]

Required DNS zone names of the the private link resource.

sku

SKU details

systemData

Metadata pertaining to creation and last modification of the key vault resource.

tags
  • object

Resource tags

type
  • string

The resource type of the managed HSM Pool.

MHSMPrivateLinkResourceListResult

A list of private link resources

Name Type Description
value

Array of private link resources

SystemData

Metadata pertaining to creation and last modification of the key vault resource.

Name Type Description
createdAt
  • string

The timestamp of the key vault resource creation (UTC).

createdBy
  • string

The identity that created the key vault resource.

createdByType

The type of identity that created the key vault resource.

lastModifiedAt
  • string

The timestamp of the key vault resource last modification (UTC).

lastModifiedBy
  • string

The identity that last modified the key vault resource.

lastModifiedByType

The type of identity that last modified the key vault resource.